import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { TopmenuComponent } from './shared/topmenu/topmenu.component';
import { SidebarComponent } from './shared/sidebar/sidebar.component';
import { SingleRecordValidatorComponent } from './pages/single-record-validator/single-record-validator.component';
import {FormsModule, ReactiveFormsModule} from "@angular/forms";
import {HttpClientModule} from "@angular/common/http";
import {OaipmhValidatorComponent} from "./pages/oaipmh-validator/validation-settings/oaipmh-validator.component";
import {OaipmhHistoryComponent} from "./pages/oaipmh-validator/validation-history/oaipmh-history.component";
import {OaipmhAnalysisComponent} from "./pages/oaipmh-validator/validation-analysis/oaipmh-analysis.component";
import {InputModule} from "./openaire-library/sharedComponents/input/input.module";
import {AlertModalModule} from "./openaire-library/utils/modal/alertModal.module";
import {IconsModule} from "./openaire-library/utils/icons/icons.module";
import {BreadcrumbsModule} from "./openaire-library/utils/breadcrumbs/breadcrumbs.module";

@NgModule({
  declarations: [
    AppComponent,
    TopmenuComponent,
    SidebarComponent,
    SingleRecordValidatorComponent,
    OaipmhValidatorComponent,
    OaipmhHistoryComponent,
    OaipmhAnalysisComponent
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    FormsModule,
    ReactiveFormsModule,
    HttpClientModule,
    InputModule,
    AlertModalModule,
    IconsModule,
    BreadcrumbsModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
